# Uses of Class
org.jmol.awtjs.swing.Component

Packages that use Component
Package
Description
jspecview.js2d
org.jmol.awtjs.swing

## Uses of Component in jspecview.js2d

Subclasses of Component in jspecview.js2d
Modifier and Type
Class
Description
`class`
`JsDialog`
just a class I made to separate the construction of the AnnotationDialogs from their use

## Uses of Component in org.jmol.awtjs.swing

Subclasses of Component in org.jmol.awtjs.swing
Modifier and Type
Class
Description
`class`
`AbstractButton`
`class`
`Container`
`class`
`JButton`
`class`
`JCheckBox`
`class`
`JCheckBoxMenuItem`
`class`
`JComboBox<T>`
`class`
`JComponent`
`class`
`JContentPane`
`class`
`JDialog`
There is really no need here for awt.Dialog.
`class`
`JEditorPane`
A simple implementation of a Swing JTextPane.
`class`
`JLabel`
`class`
`JMenu`
`class`
`JMenuItem`
`class`
`JPanel`
`class`
`JPopupMenu`
`class`
`JRadioButtonMenuItem`
`class`
`JScrollPane`
`class`
`JSplitPane`
`class`
`JTable`
`class`
`JTextField`
`class`
`JTextPane`
A simple implementation of a Swing JTextPane.
Fields in org.jmol.awtjs.swing with type parameters of type Component
Modifier and Type
Field
Description
`protected Lst<Component>`
Container.`list`
Methods in org.jmol.awtjs.swing that return Component
Modifier and Type
Method
Description
`Component`
Container.`add(Component component)`
`protected Component`
Container.`addComponent(Component component)`
`Component`
Container.`getComponent(int i)`
`Component[]`
Container.`getComponents()`
`Component`
JMenu.`getItem(int i)`
`protected Component`
Container.`insertComponent(Component component, int index)`
Methods in org.jmol.awtjs.swing with parameters of type Component
Modifier and Type
Method
Description
`Component`
Container.`add(Component component)`
`protected Component`
Container.`addComponent(Component component)`
`void`
SwingController.`dispose(Component dialog)`
Remove this component's HTML5 equivalent and clear references to it.
`protected Component`
Container.`insertComponent(Component component, int index)`
`void`
SwingController.`register(Component c, String type)`
Set c's id to a unique identifier and add it to an associative array that will associate that id with c.
`void`
SwingController.`setDialog(Component dialog)`
The HTML for this dialog has been generated.
`void`
SwingController.`setSelected(Component chk)`
Convey to the HTML object that this check box's selection has been changed.
`void`
SwingController.`setSelectedIndex(Component cmb)`
Convey to the HTML object that this combo box's selected item has been changed.
`void`
SwingController.`setVisible(Component c)`
Convey to the HTML object that this component's text has been changed.
`void`
JPopupMenu.`show(Component applet, int x, int y)`